<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <RootNamespace>foodmarket.Infrastructure</RootNamespace>
    <AssemblyName>foodmarket.Infrastructure</AssemblyName>
  </PropertyGroup>

  <ItemGroup>
    <ProjectReference Include="..\food-market.domain\food-market.domain.csproj" />
    <ProjectReference Include="..\food-market.application\food-market.application.csproj" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.EntityFrameworkCore" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Relational" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" />
    <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" />
    <PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" />
    <PackageReference Include="OpenIddict.EntityFrameworkCore" />
    <PackageReference Include="Hangfire.PostgreSql" />
    <PackageReference Include="MailKit" />
    <PackageReference Include="Microsoft.AspNetCore.DataProtection" />
  </ItemGroup>
</Project>
